#
# spec file for package perl-MooseX-App-Cmd
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name MooseX-App-Cmd
Name:           perl-MooseX-App-Cmd
Version:        0.34
Release:        1.16
Summary:        Mashes up MooseX::Getopt and App::Cmd
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(App::Cmd) >= 0.321
BuildRequires:  perl(App::Cmd::Command)
BuildRequires:  perl(Getopt::Long::Descriptive) >= 0.091
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Object)
BuildRequires:  perl(MooseX::Getopt)
BuildRequires:  perl(MooseX::NonMoose)
BuildRequires:  perl(namespace::autoclean)
Requires:       perl(App::Cmd) >= 0.321
Requires:       perl(App::Cmd::Command)
Requires:       perl(Getopt::Long::Descriptive) >= 0.091
Requires:       perl(Moose)
Requires:       perl(Moose::Object)
Requires:       perl(MooseX::Getopt)
Requires:       perl(MooseX::NonMoose)
Requires:       perl(namespace::autoclean)
%{perl_requires}

%description
This module marries App::Cmd with MooseX::Getopt.

Use it like App::Cmd advises (especially see App::Cmd::Tutorial), swapping
App::Cmd::Command for MooseX::App::Cmd::Command.

Then you can write your moose commands as Moose classes, with
MooseX::Getopt defining the options for you instead of 'opt_spec' returning
a Getopt::Long::Descriptive spec.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING README
%license LICENCE

%changelog
* Thu Mar 18 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.34
  see /usr/share/doc/packages/perl-MooseX-App-Cmd/Changes
  0.34      2021-03-17 18:04:14Z
  - fix prereqs - MooseX::Getopt is not optional (RT#134779)
  0.33      2021-03-16 20:57:41Z
  - soften tests to handle changes in App::Cmd 0.332 (RT#134752)
* Mon Sep 14 2015 coolo@suse.com
- updated to 0.32
  see /usr/share/doc/packages/perl-MooseX-App-Cmd/Changes
  0.32      2015-09-12 01:10:11Z
  - fix incompatibility with App::Cmd 0.328 by calling its
    constructor (via MooseX::NonMoose) (RT#107025)
* Sun Jun  7 2015 coolo@suse.com
- updated to 0.31
  see /usr/share/doc/packages/perl-MooseX-App-Cmd/Changes
  0.31      2015-05-23 03:40:01Z
  - fix test failures on MSWin32 (see RT#96863)
* Sat Feb  7 2015 coolo@suse.com
- updated to 0.30
  - MouseX::App::Cmd has been split off into its own distribution;
    now this dist uses Moose unconditionally, rather than Any::Moose
  - Be more intelligent about determining Moose or Mouse requirements at
    build time.
- obsolete 61f086b1fe03fab5a96a999f7b21768504d7089c.patch
* Mon Sep 15 2014 coolo@suse.com
- add https://github.com/mjgardner/moosex-app-cmd/commit/61f086b1fe03fab5a96a999f7b21768504d7089c.patch
  as 61f086b1fe03fab5a96a999f7b21768504d7089c.patch to fix build
* Mon Mar 10 2014 coolo@suse.com
- updated to 0.27
  - update developer and Dist::Zilla author dependencies
  - better reporting of skipped Moose/Mouse tests
  - add release test to check changelog for new content
  - test for Mo(o|u)seX::Getopt before running Mo(o|u)se-specific tests
  - add requirements, recommendations and provides to meta files
  - fixes to Moose/Mouse tests
  - forgot to update changelog last time, no code changes
  - do a better job of not requiring Moose for build/install
  - use Any::Moose for Moose and Mouse compatibility in the same package
* Mon Nov 25 2013 coolo@suse.com
- updated to 0.11
  - gh#6: document --configfile option added in 0.03 (reported by abraxxa)
  - gh#8: fix missing commands in test files (ubermichael)
* Sat Jul 27 2013 coolo@suse.com
- updated to 0.10
  - RT#84437: fix missing parameter in call to default function
    (chips, ouftete)
  - gh#3: fix failing test introduced by MooseX::ConfigFromFile 0.08
    (ouftete)
  - point perlcritic author test to the correct perltidy config
  - add author dependencies to Dist::Zilla dist.ini file
  - RT#74668: can use a sub {} for configfile default (yanick)
  - RT#75446: add all necessary metadata as part of conversion
    to Dist::Zilla (mjgardner)
  - RT#75447: require correct version of Getopt::Long::Descriptive so
    basic and configfile tests can pass (mjgardner)
  - lots of code and documentation cleanup, driven by
    release tests (mjgardner)
  - no code changes, just repackaging distribution archive with
    correct root (mjgardner)
  - fix tests that started failing due to dependency error
    string change (offerk)
* Tue Mar  6 2012 coolo@suse.com
- update to 0.07
  - fix tests that started failing due to dependency error string change (offerk)
* Wed Dec 29 2010 pascal.bleser@opensuse.org
- initial version (0.06)
